commit:     48852e904aa8e1f7e4acb7af75cdf9cf526a032d
Author:     William Hubbs <william.hubbs <AT> sony <DOT> com>
AuthorDate: Wed Apr  3 18:43:30 2019 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Wed Apr  3 18:46:18 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48852e90

dev-python/redis-py: 3.2.1 bump

Closes: https://bugs.gentoo.org/682378
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-python/redis-py/Manifest              |  1 +
 dev-python/redis-py/redis-py-3.2.1.ebuild | 63 +++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/redis-py/Manifest b/dev-python/redis-py/Manifest
index deb2e8bfc3c..b4c32c2d78c 100644
--- a/dev-python/redis-py/Manifest
+++ b/dev-python/redis-py/Manifest
@@ -1,3 +1,4 @@
 DIST redis-py-2.10.5.tar.gz 88610 BLAKE2B 
092efe4fcbc500a59981fc2d8574b70ee322ce7ccba012e5babd022f30abb017e53f093b3f4d876a297ab2e4403a57e749582d4027f1efa53efcbab0214347b7
 SHA512 
b2e6cb85c274c8f1c63e27256bbab816d016a68c324bf7092cf53feae819a34fa94f45565b0f209ee981919d793b2963462eb1a6f841e9dde9885802e0ebbe8f
 DIST redis-py-2.10.6.tar.gz 97299 BLAKE2B 
9fea87b5c8ae0f3574651717e664cda62ca7752e44c4e60f4a50b82b53a52a5d005dc79c72afa58abfb807bf303f46335761129c54a2ef8e4f524451543c6c96
 SHA512 
e7df464bc3b26e23f6a0d2d2896306c1e4792b9a2a4ecaea6dd8690ffa17853cc85345f063307295dd3c2da399f7f203f4b21d785f7e073c0501732257419dad
 DIST redis-py-2.9.1.tar.gz 62204 BLAKE2B 
633dd00d5aa984ac4dfb223aa685f8fa6913f4f00bb5c5c231dc77b6e8d33f1cd57c2e2bc07c4ec4658ca3b7675fd172919187fa2e95afb8eb5345f65dcbca00
 SHA512 
6b4912acafb31c87a5bc47b0420834aa9d1eba57feb0bbacdea943b746fe2f24aee4c9f13e7b03ae4edc562043b22c370cc7f53e45be07c5408cfa9852f8ea38
+DIST redis-py-3.2.1.tar.gz 124692 BLAKE2B 
fc7a773ab0a7e13f034b9efa174806b024733f9263b962599ce72e9a0c88b11964c26081375b6ae2de49939b59a561c145ae1b69c262b801f9b887befe9dcc0a
 SHA512 
be51642a8895325c3c61993dd83c3299a9e2cefc1010e04f182833f720ff161bea43d3a57d28afba991949fcf6e967c4f778002967641bffe651d5db384f2e08

diff --git a/dev-python/redis-py/redis-py-3.2.1.ebuild 
b/dev-python/redis-py/redis-py-3.2.1.ebuild
new file mode 100644
index 00000000000..fd8436a7c94
--- /dev/null
+++ b/dev-python/redis-py/redis-py-3.2.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+MY_PN="redis"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="https://github.com/andymccurdy/redis-py";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-db/redis
+               dev-python/mock[${PYTHON_USEDEP}]
+               >=dev-python/pytest-2.7.0[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # Make sure that tests will be used from BUILD_DIR rather than cwd.
+       mv tests tests-hidden || die
+
+       # Correct local import patch syntax
+       sed -e 's:from .conftest:from conftest:' \
+               -i 
tests-hidden/{test_commands.py,test_connection_pool.py,test_encoding.py,test_lock.py,test_pubsub.py}
 \
+               || die
+}
+
+python_compile() {
+       distutils-r1_python_compile
+
+       if use test; then
+               cp -r tests-hidden "${BUILD_DIR}"/tests || die
+       fi
+}
+
+python_test() {
+       local sock="${T}/redis.sock"
+
+       "${EPREFIX}/usr/sbin/redis-server" - <<- EOF
+               daemonize yes
+               pidfile "${T}/redis.pid"
+               unixsocket ${sock}
+               EOF
+
+       PYTHONPATH="${S}:${S}/tests-hidden"
+       esetup.py test --verbose
+       kill $(<"${T}/redis.pid")
+}

Reply via email to